Monitoring

List monitored subjects

GET
/api/v1/monitoring

Scope: monitoring:read

The monitoring rules in your workspace.

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer vrf_live_... or vrf_test_....

In: header

Query Parameters

page?integer

Zero-based page index.

Range0 <= value
Default0
size?integer

Items per page.

Range1 <= value <= 200
Default20
search?string

Free-text search. Supported fields vary by resource.

Response Body

application/json

curl -X GET "https://example.com/api/v1/monitoring"
{  "page": 0,  "size": 0,  "totalElements": 0,  "totalPages": 0,  "first": true,  "last": true,  "content": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "subject": {        "subjectType": "INDIVIDUAL",        "fullName": "Jane Wanjiku Doe",        "firstName": "string",        "middleName": "string",        "lastName": "string",        "idNumber": "36901234",        "registrationNumber": "PVT-7XUQ8KL",        "email": "user@example.com",        "phone": "+254712345678",        "dateOfBirth": "2019-08-24",        "country": "KE"      },      "checkNames": [        "IDENTITY"      ],      "cadence": "string",      "status": "ACTIVE",      "nextRunAt": "2019-08-24T14:15:22Z",      "recentAlerts": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "title": "string",          "message": "string",          "severity": "INFO",          "read": true,          "actioned": true,          "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",          "createdAt": "2019-08-24T14:15:22Z"        }      ]    }  ]}